com.hazelcast.org.snakeyaml.engine.v1.api

## Class LoadSettings

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.api.LoadSettings

-     public final class LoadSettings
      extends Object

  Fine tuning parsing/loading Description for all the fields can be found in the builder

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAllowDuplicateKeys()`
    `Integer` | `getBufferSize()`
    `Function<Integer,List>` | `getDefaultList()`
    `Function<Integer,Map>` | `getDefaultMap()`
    `Function<Integer,Set>` | `getDefaultSet()`
    `String` | `getLabel()`
    `Optional<ConstructNode>` | `getRootConstructNode()`
    `ScalarResolver` | `getScalarResolver()`
    `Map<Tag,ConstructNode>` | `getTagConstructors()`
    `boolean` | `getUseMarks()`
    `Function<SpecVersion,SpecVersion>` | `getVersionFunction()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getLabel

          public String getLabel()

    - #### getRootConstructNode

          public Optional<ConstructNode> getRootConstructNode()

    - #### getTagConstructors

          public Map<Tag,ConstructNode> getTagConstructors()

    - #### getScalarResolver

          public ScalarResolver getScalarResolver()

    - #### getDefaultList

          public Function<Integer,List> getDefaultList()

    - #### getDefaultSet

          public Function<Integer,Set> getDefaultSet()

    - #### getDefaultMap

          public Function<Integer,Map> getDefaultMap()

    - #### getBufferSize

          public Integer getBufferSize()

    - #### getAllowDuplicateKeys

          public boolean getAllowDuplicateKeys()

    - #### getUseMarks

          public boolean getUseMarks()

    - #### getVersionFunction

          public Function<SpecVersion,SpecVersion> getVersionFunction()

Copyright © 2019. All rights reserved.